com.verisign.epp.serverstub

## Class PersRegEmailFwdHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPEmailFwdHandler
  - - com.verisign.epp.serverstub.EmailFwdHandler
    - - com.verisign.epp.serverstub.PersRegEmailFwdHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class PersRegEmailFwdHandler
      extends EmailFwdHandler

  The `PersRegDomainHandler` class extends `EmailFwdHandler` to include responding with Personal Registration Extension attributes. Specifically, the consent identifier and the bundled rate flag are returned.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersRegEmailFwdHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doEmailFwdCreate(EPPEvent aEvent, java.lang.Object aData)` Add the bunded rate flag attribute to the EmailFwd Create Response.
    `protected EPPEventResponse` | `doEmailFwdInfo(EPPEvent aEvent, java.lang.Object aData)` Add the consent identifier to the EmailFwd Info Response.
    `protected EPPEventResponse` | `doEmailFwdRenew(EPPEvent aEvent, java.lang.Object aData)` Add the bunded rate flag attribute to the EmailFwd Renew Response.
    `protected EPPEventResponse` | `doEmailFwdTransfer(EPPEvent aEvent, java.lang.Object aData)` Add the bunded rate flag attribute to the EmailFwd Transfer Request.

    - ### Methods inherited from class com.verisign.epp.serverstub.EmailFwdHandler

      `doEmailFwdCheck, doEmailFwdDelete, doEmailFwdUpdate, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPEmailFwdHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersRegEmailFwdHandler

          public PersRegEmailFwdHandler()

  - ### Method Detail

    - #### doEmailFwdRenew

          protected EPPEventResponse doEmailFwdRenew(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Add the bunded rate flag attribute to the EmailFwd Renew Response. The flag is set to `true`.
      Overrides:
        `doEmailFwdRenew` in class `EmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdCreate

          protected EPPEventResponse doEmailFwdCreate(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Add the bunded rate flag attribute to the EmailFwd Create Response. The flag is set to `true`.
      Overrides:
        `doEmailFwdCreate` in class `EmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdTransfer

          protected EPPEventResponse doEmailFwdTransfer(EPPEvent aEvent,
                                                        java.lang.Object aData)

      Add the bunded rate flag attribute to the EmailFwd Transfer Request. The flag is set to `true`.
      Overrides:
        `doEmailFwdTransfer` in class `EmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doEmailFwdInfo

          protected EPPEventResponse doEmailFwdInfo(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Add the consent identifier to the EmailFwd Info Response.
      Overrides:
        `doEmailFwdInfo` in class `EmailFwdHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPEmailFwddHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.